Skip to content

Get a list of line items

Request

Returns a list of line items mapped to instances owned by a producer's customer accounts.

Security
AdministrationAccess or ClientAccess
Path
instanceIdstring, (uuid)required

The UUID of the Dynamic Monetization instance.

curl -i -X GET \
  'https://siteID.flexnetoperations.com/dynamicmonetization/provisioning/api/v1.1/instances/{instanceId}/line-items' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of line items for the instance ID.

Bodyapplication/json
Array [
activationIdstringrequired

The activation ID of a line item that should be mapped to the instance.

statestring(LineItemState)required

The line item state. Valid states are:

  • DEPLOYED
  • INACTIVE
  • OBSOLETE

INACTIVE and OBSOLETE can only be set when the line item already exists.
An OBSOLETE line item cannot be set to INACTIVE or DEPLOYED.

quantityinteger, (int64), >= 1required

The quantity from the line item to map to the instance.

startinteger, (int64)required

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item starts.

endinteger, (int64)required

The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the line item ends.

usednumber, (double)read-only

The count from the line item quantity used by access requests. The value can be fractional.

attributesobject(Attributes)required

The properties that determine how the service will respond to access requests.

]
Response
[ { "activationId": "string", "state": "string", "quantity": 1, "start": 0, "end": 0, "used": 0.1, "attributes": {} } ]